
import java.rmi.*;
import java.rmi.server.*;
import java.util.*;

public class Server extends UnicastRemoteObject implements Inter {
  Server() throws RemoteException { super(); }

  private Map map = new HashMap();
  public void set(String key, Object value) throws RemoteException {
    System.out.println("SET("+key+")");
    map.put(key,value);
  }
  public Object get(String key) throws RemoteException {
    System.out.println("GET("+key+")");
    return map.get(key);
  }
  public void del(String key) throws RemoteException {
    System.out.println("DEL("+key+")");
    map.remove(key);
  }
  public static void main(String[] args) {
    try {
      if (System.getSecurityManager()==null) System.setSecurityManager(new RMISecurityManager());
      Inter engine = new Server();
      Naming.rebind("Server", engine);
      System.out.println("Server bound");
    }
    catch (Exception e) {
      System.out.println(e);
      e.printStackTrace();
    }
  }
}
